Subject: Re: Solving the right problems ...

From: Kurt Erik Lindqvist <[email-masked]>
Date: Mon, 1 Sep 2003 11:43:33 +0200

On onsdag, aug 27, 2003, at 18:20 Europe/Stockholm, Jeroen Massar wrote:

>>
>> The multi6 wg has been working on locator/identifier separation as a
>> way to solve the multihoming in IPv6 problem for a while now.
>
> And ever since they haven't progressed much unfortunatly :(
>

Hard to tell. There are two design-teams that are supposed to present 
in Minneapolis.

- kurtis -

---

From: [email-masked]
Date: Wed, 3 Sep 2003 00:39:11 EDT

Poor Randy,

There's a microbrewpub in Minneapolis that serves the best Walleye dinner at 
the best price to be found anywhere.  Showed people the place, couldn't get 
them to go anyplace else.  

OK, is fresh walleye worth eating?  Any fish better?

---

From: [email-masked]
Date: Wed, 3 Sep 2003 00:58:54 EDT

You're welcome.

You've shared some good thoughts.  A little edgy sometimes.  Maybe we're 
related.

---

From: "Yuri Ismailov (KI/EAB)" <[email-masked]>
Date: Wed, 3 Sep 2003 08:28:55 +0200

We've tested similar mechanism with SRV and performance seems does not suffer.
/Yuri

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: Tuesday, September 02, 2003 7:46 PM
To: 'vinton g. cerf'; [email-masked]
Cc: Richard Shockey; Christian Stredicke
Subject: RE: Solving the right problems ...

> Could one use the NAPTR concept to create a new identifier space with 
> specific dynamics? It would take two lookups: one to DNS to get the NAPTR 
> and one to resolve the NAPTR identifier into an IP address.

We will be soon able to test the speed of such a mechanism with the NAPTR
client built into SIP phones that are just emerging. I have copied here its
developer, Christian Stredicke and the ENUM co-chair Richard Shockey to
answer questions on this.

Thanks, Henry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of vinton
g. cerf
Sent: Wednesday, August 27, 2003 10:09 PM
To: [email-masked]
Subject: RE: Solving the right problems ...

If you look at the instant messaging systems, they map a private identifier
space (IM name or "handle") into IP addresses and apparently run background
heartbeat to re-assign the mapping if the identifier in the heartbeat
arrives in a packet with a different IP address than before - not sure
whether or how hijack is avoided. Could one use the NAPTR concept to create
a new identifier space with specific dynamics? It would take two lookups:
one to DNS to get the NAPTR and one to resolve the NAPTR identifier into an
IP address. The latter resolution need not necessarily be done via DNS.

vint

Vint Cerf
SVP Technology Strategy
MCI
22001 Loudoun County Parkway, F2-4115
Ashburn, VA 20147
703 886 1690 (v806 1690)
703 886 0047 fax
[email-masked]
www.mci.com/cerfsup